QuantLib: IterativeBootstrap< Curve > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
IterativeBootstrap< Curve > Class Template Reference

Universal piecewise-term-structure boostrapper. More...

`#include <ql/termstructures/iterativebootstrap.hpp>`

## Public Member Functions
| IterativeBootstrap (Real accuracy=Null< Real >(), Real minValue=Null< Real >(), Real maxValue=Null< Real >(), Size maxAttempts=1, Real maxFactor=2.0, Real minFactor=2.0, bool dontThrow=false, Size dontThrowSteps=10)
void | setup (Curve *ts)
void | calculate () const

## Detailed Description

### template<class Curve>
class QuantLib::IterativeBootstrap< Curve >

Universal piecewise-term-structure boostrapper.

Examples
  MulticurveBootstrapping.cpp.

## Constructor & Destructor Documentation

## ◆ IterativeBootstrap()

IterativeBootstrap | ( | Real | accuracy = `Null<Real>()`,
|  | Real | minValue = `Null<Real>()`,
|  | Real | maxValue = `Null<Real>()`,
|  | Size | maxAttempts = `1`,
|  | Real | maxFactor = `2.0`,
|  | Real | minFactor = `2.0`,
|  | bool | dontThrow = `false`,
|  | Size | dontThrowSteps = `10`
| ) |  |

Constructor

Parameters

  accuracy | Accuracy for the bootstrap stopping criterion. If it is set to `Null<Real>()`, its value is taken from the termstructure's accuracy.
  minValue | Allow to override the initial minimum value coming from traits.
  maxValue | Allow to override the initial maximum value coming from traits.
  maxAttempts | Number of attempts on each iteration. A number greater than 1 implies retries.
  maxFactor | Factor for max value retry on each iteration if there is a failure.
  minFactor | Factor for min value retry on each iteration if there is a failure.
  dontThrow | If set to `true`, the bootstrap doesn't throw and returns a fall back result.
  dontThrowSteps | If `dontThrow` is `true`, this gives the number of steps to use when searching for a fallback curve pillar value that gives the minimum bootstrap helper error.